package cn.iocoder.yudao.module.system.api.robot.vo;

import cn.iocoder.yudao.module.system.api.robot.dto.FloorZoneDTO;
import cn.iocoder.yudao.module.system.api.robot.dto.RobotStatusDataErrorDTO;
import cn.iocoder.yudao.module.system.api.robot.dto.RobotStatusDataSpeedDTO;
import lombok.Data;

import java.util.List;

@Data
public class RobotReactiveStatusDTO {

    /**
     * 楼层区域
     */
    public FloorZoneDTO floorZone;
    //货叉高度 float
    public Double forkHeight;
    /**
     * 车辆运行速度
     */
    public RobotStatusDataSpeedDTO agvSpeed;
    /**
     * 错误码
     */
    public List<RobotStatusDataErrorDTO> errCode;
    /**
     * mac地址
     */
    public String mac;
    ////手动充电 0或者1，1表示电源线连接着机器人充电口或者是准备连接机器人充电口（待定，充电会关机）
    public String manualChargeStatus;

}
