package cn.iocoder.yudao.module.system.controller.admin.bulletinboard.vo;

import cn.iocoder.yudao.module.system.controller.admin.robot.vo.DeviceStatusInfoVO;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotInformationStatisticsVO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotTaskDO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotWarnMsgDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.util.List;

@Data
@ToString(callSuper = true)
public class BulletinBoardVO {
    @Schema(description = "任务状态")
    private TaskStatusVO taskStatusVO;
    @Schema(description = "正在执行任务")
    private List<RobotTaskDO> underway;
    @Schema(description = "待执行任务")
    private List<RobotTaskDO> pendingExecution;
    @Schema(description = "车辆状态")
    private RobotInformationStatisticsVO statistics;
    @Schema(description = "车辆异常信息")
    private List<RobotWarnMsgDO> robotWarnMsgDOS;
    @Schema(description = "车辆信息")
    List<RobotElectricityLevelVO> robotElectricityLevelVOS;
    @Schema(description = "设备信息")
    private List<DeviceStatusInfoVO> deviceStatusInfoVOS;
}
