package cn.iocoder.yudao.module.system.controller.admin.bulletinboard.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Data
@ToString(callSuper = true)
public class TaskStatusVO {
    @Schema(description = "待执行")
    private Integer pendingExecutionNum;
    @Schema(description = "正在进行")
    private Integer underwayNum;
    @Schema(description = "已完成")
    private Integer completedNum;
    @Schema(description = "已取消")
    private Integer cancelledNum;
    @Schema(description = "异常")
    private Integer abnormalNum;
    @Schema(description = "当日任务数")
    private Integer tasksNumber;

}
