package cn.iocoder.yudao.module.system.controller.admin.log.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 用户操作记录新增/修改 Request VO")
@Data
@Builder
public class UserOperationLogSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "24510")
    private Long id;

    @Schema(description = "操作人员", example = "芋艿")
    private String nickName;

    @Schema(description = "操作信息")
    private String operateAction;

}