package cn.iocoder.yudao.module.remote.service.speed;

import cn.iocoder.yudao.module.system.api.remote.RemoteRobotMaxSpeedApi;
import cn.iocoder.yudao.module.system.api.remote.dto.RemoteRobotMaxSpeedDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

@Slf4j
@Service
public class RemoteRobotMaxSpeedServiceImpl implements RemoteRobotMaxSpeedService{

    @Resource
    private RemoteRobotMaxSpeedApi remoteRobotMaxSpeedApi;

    @Override
    public List<RemoteRobotMaxSpeedDTO> getRobotMaxSpeedPage() {
        return remoteRobotMaxSpeedApi.getRobotMaxSpeedPage();
    }

    @Override
    public void updateRobotMaxSpeedPage(List<RemoteRobotMaxSpeedDTO> list) {
         remoteRobotMaxSpeedApi.updateRobotMaxSpeedPage(list);
    }

}
